Problem: Can't update iPod?

Discussion in 'iPod touch' started by iAmAnApple, Oct 12, 2011.

  1. iAmAnApple macrumors newbie

    iAmAnApple

    Joined:
    Oct 10, 2011
    Location:
    Atlantis
    #1
    Well, I've this problem where it's not possible to update my iPod its software.

    I am using 4.2.1 now and I want to get 5. So I clicked the update button in iTunes, but unfortunately iTunes said: "This version of the iPod software (4.2.1) is the newest version". Could somebody please tell me how this is possible and how to solve it?

    Thanks a lot.
     
  2. iSimpsons macrumors regular

    Joined:
    Sep 16, 2011
    #2
    This is obviously because you have the second generation iPod touch. You won't be able to get it past 4.2.1 unless you buy a new one.
     
  3. iAmAnApple thread starter macrumors newbie

    iAmAnApple

    Joined:
    Oct 10, 2011
    Location:
    Atlantis
    #3
    No, I'm not. I'm using a third generation iPod. :(
     
  4. redshift1 macrumors regular

    Joined:
    Mar 2, 2010
    #4
    Heavy traffic as many attempt to update, all sorts of people complaining in the Apple support communities... probably best to wait until people start reporting
    update success.
     
  5. iAmAnApple thread starter macrumors newbie

    iAmAnApple

    Joined:
    Oct 10, 2011
    Location:
    Atlantis
    #5
    Hm. Okay. I'll just wait a few days and then update it.

    Thanks for your help anyway!
     
  6. redshift1 macrumors regular

    Joined:
    Mar 2, 2010
    #6
    Or you could buy a new one with 5.0 pre installed
     
  7. iAmAnApple thread starter macrumors newbie

    iAmAnApple

    Joined:
    Oct 10, 2011
    Location:
    Atlantis
    #7
    I'd love to get a new one, but I can wait a few days. :D
     
  8. Noisemaker Guest

    Joined:
    Mar 13, 2009
    #8
    Just try again in a bit. It should go through just fine.
     
  9. iAmAnApple thread starter macrumors newbie

    iAmAnApple

    Joined:
    Oct 10, 2011
    Location:
    Atlantis
    #9
    Alright. I will try it tomorrow... hope it works!
     
  10. Firestar macrumors 68020

    Firestar

    Joined:
    Sep 30, 2010
    Location:
    221B Baker Street.
    #10
    Are you using an 8GB?
     
  11. likethesoup2 macrumors 6502a

    Joined:
    Mar 29, 2011
    Location:
    Orlando, Florida
    #11
    Yeah, if it's an 8gb it's actually still a 2nd gen. and you won't be able to upgrade.
     
  12. iAmAnApple thread starter macrumors newbie

    iAmAnApple

    Joined:
    Oct 10, 2011
    Location:
    Atlantis
    #12
    Yes I am. Does it mean that I actually have a 2nd Gen. like the person above me said? :(

    ----------

    Aw, I hate this... Well, I'll wait for the iPhone 5 and buy that one. :)
     

Share This Page